Get License Key

Get License Key
Retrieve a license key

Retrieve a license key

Request
URI
GET
https://{api_host}/v1/license-keys/{key}
COPY
Path Parameters
string
key
Required  

The 29 alpha numeric character license key with hyphens

key example
4J6TH-3XK57-480X4-0E9H6-2X00P

Responses
200

Successful

Returns LicenseKey of type(s) application/json
{
    "id": "string",
    "key": "XX0XX-XX0XX-XX0XX-XX0XX-XX0XX ",
    "productType": "One among: VCENTER, VSAN, ESXI, NSXT, WCP",
    "description": "string",
    "productVersion": "string",
    "isUnlimited": false,
    "licenseKeyUsage": {
        "total": 0,
        "remaining": 0,
        "used": 0,
        "licenseUnit": "One among: CPUPACKAGE, INSTANCE, VMS, CCU, PLU, DESKTOPVM, SERVERVM, VM, SERVER, CORES, CONCURRENTUSER, NAMEDUSER, CPUCORE, TIB"
    },
    "licenseKeyValidity": {
        "licenseKeyStatus": "One among: EXPIRED, ACTIVE, NEVER_EXPIRES",
        "expiryDate": "string"
    },
    "features": [
        "string"
    ],
    "licenseEdition": "string",
    "licenseUnit": "string",
    "minimumCore": 0
}
string
id
Read-Only  

The ID of the license key

string As (((?![BIOS_])\w){5}-){4}?((?![BIOS_])\w){5}?
key
Required   Read-Only  
Constraints: minLength: 29 maxLength: 29

The 29 alpha numeric character license key with hyphens

string
productType
Required   Read-Only  
Constraints: minLength: 1

The type of the product to which the license key is applicable

string
description
Required   Read-Only  
Constraints: minLength: 1

Description of the license key given by user

string
productVersion
Read-Only  

Product version

boolean
isUnlimited
Read-Only  

Indicates if the license key has unlimited usage

object
licenseKeyUsage
Read-Only  

Defines license key usage

object
licenseKeyValidity
Read-Only  

Defines license key validity details

array of string
features
Read-Only  

License key features

string
licenseEdition
Read-Only  

License key edition

string
licenseUnit
Read-Only  

License capacity unit

integer As int32 As int32
minimumCore
Read-Only  

The minimum number of core licenses required per CPU, when license unit is cpu core


404

License key not found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Internal server error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/license-keys/{key}